"""Add 'hide-read' option for action angebots.delete

Revision ID: 35057ec4bdc6
Revises: 256b21e7df30
Create Date: 2019-08-27 12:00:16.988484

"""

# revision identifiers, used by Alembic.
revision = '35057ec4bdc6'
down_revision = '256b21e7df30'

from alembic import op


INSERTS = "UPDATE actions SET display='primary,hide-read' " \
          "  FROM modules " \
          "  WHERE modules.id=actions.mid " \
          "    AND modules.name='angebots' AND actions.name='Delete';"
DELETES = "UPDATE actions SET display='primary' " \
          "  FROM modules " \
          "  WHERE modules.id=actions.mid " \
          "    AND modules.name='angebots' AND actions.name='Delete';"


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    iter_statements(INSERTS)


def downgrade():
    iter_statements(DELETES)
